Loading...
Searching...
No Matches
rostlab::blast::parser::symbol_kind Struct Reference

Symbol kinds. More...

`#include <blast-parser-parser.h>`

## Public Types

enum

symbol_kind_type {
YYNTOKENS = 31 , S_YYEMPTY = -2 , S_YYEOF = 0 , S_YYerror = 1 ,
S_YYUNDEF = 2 , S_BLAST_VERSION = 3 , S_REFERENCE = 4 , S_STRING = 5 ,
S_INT = 6 , S_DBL = 7 , S_SEARCHING = 8 , S_NOHITS = 9 ,
S_ONELINE_DESC_HEADER = 10 , S_SEQ_FOUND_AGAIN = 11 , S_SEQ_FOUND_NEW = 12 , S_CONVERGED = 13 ,
S_TAIL = 14 , S_QUERYEQ = 15 , S_DATABASECOLON = 16 , S_RESFROMROUND = 17 ,
S_SCOREEQ = 18 , S_EXPECTEQ = 19 , S_METHODCOLON = 20 , S_IDENTITIESEQ = 21 ,
S_POSITIVESEQ = 22 , S_GAPSEQ = 23 , S_STRANDEQ = 24 , S_FRAMEEQ = 25 ,
S_QUERYCOLON = 26 , S_SBJCTCOLON = 27 , S_28_ = 28 , S_29_ = 29 ,
S_30_0_ = 30 , S_YYACCEPT = 31 , S_input = 32 , S_references = 33 ,
S_query = 34 , S_database = 35 , S_rounds = 36 , S_round = 37 ,
S_38_1 = 38 , S_outcome = 39 , S_resfromround = 40 , S_converged = 41 ,
S_hits = 42 , S_oneline_descs = 43 , S_oneline_desc = 44 , S_num = 45 ,
S_hit = 46 , S_hit_header = 47 , S_hsps = 48 , S_hsp = 49 ,
S_hsp_headerfields = 50 , S_hsp_headerfield = 51 , S_alitriples = 52 , S_alitriple = 53 ,
S_tail = 54
}

## Detailed Description

Symbol kinds.

Definition at line 288 of file blast-parser-parser.h.

## Member Enumeration Documentation

## symbol_kind_type

enum rostlab::blast::parser::symbol_kind::symbol_kind_type

Enumerator
YYNTOKENS | Number of tokens.
S_YYEMPTY |
S_YYEOF |
S_YYerror |
S_YYUNDEF |
S_BLAST_VERSION |
S_REFERENCE |
S_STRING |
S_INT |
S_DBL |
S_SEARCHING |
S_NOHITS |
S_ONELINE_DESC_HEADER |
S_SEQ_FOUND_AGAIN |
S_SEQ_FOUND_NEW |
S_CONVERGED |
S_TAIL |
S_QUERYEQ |
S_DATABASECOLON |
S_RESFROMROUND |
S_SCOREEQ |
S_EXPECTEQ |
S_METHODCOLON |
S_IDENTITIESEQ |
S_POSITIVESEQ |
S_GAPSEQ |
S_STRANDEQ |
S_FRAMEEQ |
S_QUERYCOLON |
S_SBJCTCOLON |
S_28_ |
S_29_ |
S_30_0_ |
S_YYACCEPT |
S_input |
S_references |
S_query |
S_database |
S_rounds |
S_round |
S_38_1 |
S_outcome |
S_resfromround |
S_converged |
S_hits |
S_oneline_descs |
S_oneline_desc |
S_num |
S_hit |
S_hit_header |
S_hsps |
S_hsp |
S_hsp_headerfields |
S_hsp_headerfield |
S_alitriples |
S_alitriple |
S_tail |

Definition at line 290 of file blast-parser-parser.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-parser-parser.h